/**
 * tinymce plugin that handles adding images into the wysiwyg editor, by opening a dialog
 * window that points at http://coolspirit.dev/admin/ev_tiny_mce_image/image_picker/select, which
 * should be setup to handle the images
 */
tinymce.PluginManager.add('evoluted_image', function(editor, url) {
    // Add a button that opens a window
    editor.addButton('evoluted_image', {
        text: 'Insert Image',
        icon: 'image',
        onclick: function() {
            // Open window
            editor.windowManager.open({
                title: 'Insert An Uploaded Image',
                url: '/admin/ev_tiny_mce_image/image_picker/select',
                height: 600,
                width:600,
                inline:true
            });
        }
    });
});
